<template>
  <section class="edit profile -able-scroll-">
    <div class="profile__heading">
      <div class="profile__title">
        <h1>Edit Profile</h1>
      </div>
      <div class="profile__code btn btn--trans">
        <a href="#">
          <div class="total">
            <span class="icon">
              <img :src="require('../../assets/images/KK-icon-white.png')" alt="klout-kast-logo" />
            </span>
            <span>ODE</span>
          </div>
        </a>
      </div>
    </div>
    <div class="signup__box edit__box">
      <div class="signup__avatar edit__avatar">
        <img
          class="avatar-image"
          :src="require('../../assets/images/profile-lily.png')"
          height="200"
          alt="Your avatar profile"
        />
      </div>
      <div class="signup__type">
        <div class="row flex-end">
          <div class="col-md-4"></div>
          <div class="col-md-4">
            <router-link to="/edit-profile">
              <a v-ripple class="btn btn--trans">Upload New Photo</a>
            </router-link>
          </div>
          <div class="col-md-4"></div>
        </div>
      </div>
    </div>
    <div class>
      <div class="profile__details">
        <div class="edit__section">
          <div class="row">
            <div class="col-md-6">
              <h4>Full Name</h4>
              <input type="text" placeholder="Full Name" value="Chelsea Lily" disabled />
            </div>
            <div class="col-md-6">
              <h4>
                Username
                <span>(4-16 characters, A-Z, 0-9)</span>
              </h4>
              <input type="text" placeholder="Username" value="chelsealily" disabled />
            </div>
          </div>
          <div class="row flex-end">
            <div class="col-md-6">
              <h4>Location</h4>
              <v-select :items="locations" v-model="locations[0]" label="Select Location" solo></v-select>
            </div>
            <div class="col-md-6">
              <v-select :items="cities" label="Select City" solo></v-select>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <h4>Gender</h4>
              <v-select :items="genders" label="Select Gender" solo></v-select>
            </div>
          </div>
        </div>

        <div class="edit__section">
          <div class="row">
            <div class="col-md-12">
              <h4>Bio Description</h4>
              <div class="form-control">
                <textarea
                  name="bio-description"
                  placeholder="Enter 2-3 sentence bio"
                  cols="40"
                  rows="2"
                ></textarea>
                <div class="line"></div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Bio Video</h4>
              <div class="form-control">
                <input type="text" placeholder="YouTube or Video URL" />
                <div class="line"></div>
              </div>
            </div>
          </div>
        </div>

        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Internet Services</h2>
            </div>
          </div>
          <div class="row">
            <div class="col-md-4">
              <h3>Instagram Posts</h3>
              <p>
                <strong>$39</strong> per post
              </p>
            </div>
            <div class="col-md-4">
              <h3>Facebook Posts</h3>
              <p>
                <strong>$39</strong> per post
              </p>
            </div>
            <div class="col-md-4">
              <h3>YouTube</h3>
              <p>
                <strong>$39</strong> per video
              </p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-6">
              <img class="img-heading" :src="require('../../assets/images/KK-logo.png')" />
              <p>
                <strong>$39</strong> per post
              </p>
            </div>
            <div class="col-md-6">
              <img class="img-heading" :src="require('../../assets/images/KK-logo.png')" />
              <p>
                <strong>$1</strong> per minute
              </p>
              <p>
                <strong>$14</strong> for 15 minutes
              </p>
              <p>
                <strong>$25</strong> for 30 minutes
              </p>
              <p>
                <strong>$50</strong> for 1 hour
              </p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Terrestrial Services</h2>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h3>In-Person Performance/Appearance</h3>
              <p>
                <strong>$39</strong> per hour
              </p>
              <p>
                <strong>2 hours</strong> minimum
              </p>
              <p
                class="seperate"
              >Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Interests</h2>
              <p
                class="bio-desc"
              >Accessories, Entertainment, Acting/Modeling, Music, Photography, Fashion. Beauty</p>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h2>Social Media Accounts</h2>
              <div class="social seperate">
                <a class="btn">Instagram</a>
                <a class="btn">Twitter</a>
                <a class="btn">Facebook</a>
                <a class="btn">YouTube</a>
              </div>
            </div>
          </div>
        </div>
        <div class="profile__section">
          <div class="row">
            <div class="col-md-12">
              <h4>Experience</h4>
              <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia
                deserunt mollit anim id est laborum.
              </p>
            </div>
          </div>
          <div class="row flex-end">
            <div class="col-md-6">
              <h4>
                Recommendations
                <span class="sum-slide">10</span>
              </h4>
            </div>
            <div class="col-md-6">
              <div class="dynamic-slide">
                <em>
                  Viewing
                  <strong>1-2</strong> of
                  <strong>10</strong>
                </em>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12"></div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Awards / Recognitions</h4>
              <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia
                deserunt mollit anim id est laborum.
              </p>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <h4>Keywords</h4>
              <div class="keywords">
                <a class="btn btn--trans">Actor</a>
                <a class="btn btn--trans">Drama</a>
                <a class="btn btn--trans">Theater</a>
                <a class="btn btn--trans">Director</a>
                <a class="btn btn--trans">Musicals</a>
                <a class="btn btn--trans">Lessons</a>
                <a class="btn btn--trans">Vocals</a>
                <a class="btn btn--trans">Improv</a>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="signup__submit">
        <router-link to="/edit-profile">
          <input class="btn" type="submit" value="Edit Your Profile" />
        </router-link>
      </div>
      <Footer />
    </div>
  </section>
</template>

<script>
import Footer from '../Footer/Footer';
import Swiper from '../../shared/Swiper/Swiper';

export default {
  components: {
    Footer,
    Swiper
  },
  data: () => ({
    locations: [
      'United States of America',
      'United Kingdom',
      'Australia',
      'Brazil'
    ],
    cities: ['Eugene, Oregon', 'New York', 'Washington DC.'],
    genders: ['Male', 'Female', 'Undefined']
  })
};
</script>

<style lang="scss">
@import './EditProfile.scss';
</style>